#!/bin/sh
#post-install script

#creatuppy: current directory is rootfs-complete, which has the final filesystem.
#pupget: need to cd to /...

#-------------------------------------------------------------------------------------------------
# Determine root dir; taken from another pupget script (way back) can't remember which one
#-------------------------------------------------------------------------------------------------

RUNNINGPS="`ps`"
CURRENTWKGDIR="`pwd`"
if [ ! "`echo "$RUNNINGPS" | grep "pupget"`" = "" ];then
   ROOT_DIR="/root"
else
   ROOT_DIR="$CURRENTWKGDIR/root0"
fi

#-------------------------------------------------------------------------------------------------
# Register with various window managers
#-------------------------------------------------------------------------------------------------

# Register with fvwm95 menu
if [ -f "$ROOT_DIR"/.fvwm95rc ]
then
   egrep -i tktris "$ROOT_DIR"/.fvwm95rc >/dev/null 2>&1
   if [ $? -ne 0 ]
   then
     cp -f "$ROOT_DIR"/.fvwm95rc "$ROOT_DIR"/.fvwm95rc.bak
     awk '{if (/AddToMenu "Games"/) {print $0;print "+ \"Tripeaks%mini-trebol.xpm%\" Exec tripeaks"; print "+ \"Scat%mini-trebol.xpm%\" Exec scat"; print "+ \"Collaspe%mini-icons.xpm%\" Exec collapse"; print "+ \"TkTris%mini-modules.xpm%\" Exec tkris"} else {print $0};} ' "$ROOT_DIR"/.fvwm95rc.bak > "$ROOT_DIR"/.fvwm95rc
   fi
fi
             

# Register with JWM menu
if [ -f "$ROOT_DIR"/.jwmrc ]
then
   egrep -i tktris "$ROOT_DIR"/.jwmrc >/dev/null 2>&1
   if [ $? -ne 0 ]
   then
     cp -f "$ROOT_DIR"/.jwmrc "$ROOT_DIR"/.jwmrc.bak
     awk '{if (/Menu label="Games"/) {print $0;print "<Program label=\"Tripeaks \" icon=\"mini-trebol.xpm\">exec tripeaks</Program>"; print "<Program label=\"Scat \" icon=\"mini-trebol.xpm\">exec scat</Program>"; print "<Program label=\"Collaspe \" icon=\"mini-icons.xpm\">exec collapse</Program>"; print "<Program label=\"TkTris \" icon=\"mini-modules.xpm\">exec tktris</Program>";} else {print $0};} ' "$ROOT_DIR"/.jwmrc.bak > "$ROOT_DIR"/.jwmrc
   fi
fi 


#-------------------------------------------------------------------------------------------------
#Register as an alien package; specific to HSF
#-------------------------------------------------------------------------------------------------

if [ `grep -ic HSF_MODEM /root/.packages/alienpackages.txt` -eq 0 ] 
then
#	echo "\"tkgames-0.1\" \"tkgames-0.1: Collaspe, Skat, TkTris, Tripeaks\"" >> /root/.packages/alienpackages.txt

	echo "/usr/local/bin/scat" > /root/.packages/tkgames-0.1.files
	echo "/usr/local/bin/tktris" >> /root/.packages/tkgames-0.1.files
	echo "/usr/local/bin/tripeaks" >> /root/.packages/tkgames-0.1.files
	echo "/usr/local/bin/collapse" >> /root/.packages/tkgames-0.1.files
fi